Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
Soundblock

Can't GZDB place decorate monsters?

Recommended Posts

Eris Falling said:

You need to define an editor number in the first line of the DECORATE lump.
Something like this:

ACTOR Viper 12000


Can't code worth squat unfortunately. Wouldn't know where to begin, even knowing the value to insert.

EDIT: actually, its already set:

opened SLADE and found "ACTOR Viper 22415" right at the top of DECORATE.

Share this post


Link to post

Well it's not set in the example file you've put online.

Share this post


Link to post

Add this below your actor name and check the NewThings Category within the editor ( make sure to add your custom wad to the resources) :

Actor BadassMotherfucker
{
//$Category NewThings
.
.
.

Share this post


Link to post

That's strange, for me it worked as soon as I added the editor number. What version of GZDoom Builder are you using? I have 1.14-r2226, which itself is quite of date now. Newest official version is here, and there's a link in that thread to even more recent SVN builds.

For future reference, the editor number is the only thing you'd need to add, and for the sake of simplicity, it's a number between 1 and 32767, and none of these.
(You have a bit more freedom in reality, as some of those are game specfic)

EDIT: DMGUY, that's not really what he's asking. He's asking why the decorate folder itself doesn't show, he's not trying to add it to another folder, new or existing. It should show by default if anything new is defined in DECORATE.

Share this post


Link to post
DMGUYDZ64 said:

Add this below your actor name and check the NewThings Category within the editor ( make sure to add your custom wad to the resources) :

Actor BadassMotherfucker
{
//$Category NewThings
.
.
.



That worked DMGUYDZ64, thanks! "NewThings" showed up where "decorate" used to (EDIT: to get the game to run, I only kept the "//$Category NewThings" line)

I've got the latest GZDB update - version 2.3.0.2430, and my main concern was not being able to place the creature.

Gez - Oops. Forgot that I've got a newer version on my HD, the one with "ACTOR Viper 22415" included.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×